package com.platform.modules.live.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import org.hibernate.validator.constraints.NotBlank;
/**
 * 现场直播计数表
 * 
 * @author weiyan
 * @email 
 * @date 2019-02-20 10:29:20
 */
@TableName("live_scene_count")
public class LiveSceneCountEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	
	//
	@TableId(type = IdType.INPUT)
	@NotBlank(message = "sceneId不能为空")
	private Integer sceneId;
	//总访问数
	@NotBlank(message = "views不能为空")
	private Integer views;
	//前端显示访问数
	@NotBlank(message = "viewsShow不能为空")
	private Integer viewsShow;
	//月访问数
	@NotBlank(message = "viewsMonth不能为空")
	private Integer viewsMonth;
	//周访问数
	@NotBlank(message = "viewsWeek不能为空")
	private Integer viewsWeek;
	//日访问数
	@NotBlank(message = "viewsDay不能为空")
	private Integer viewsDay;
	//总评论数
	@NotBlank(message = "comments不能为空")
	private Integer comments;
	//前端显示评论数
	@NotBlank(message = "commentsShow不能为空")
	private Integer commentsShow;
	//月评论数
	@NotBlank(message = "commentsMonth不能为空")
	private Integer commentsMonth;
	//周评论数
	@NotBlank(message = "commentsWeek不能为空")
	private Integer commentsWeek;
	//日评论数
	@NotBlank(message = "commentsDay不能为空")
	private Integer commentsDay;
	//最后更新时间
	@NotBlank(message = "lastUpdateTime不能为空")
	private Date lastUpdateTime;
	
	/**
	 * 设置：
	 */
	public void setSceneId(Integer sceneId) {
		this.sceneId = sceneId;
	}
	/**
	 * 获取：
	 */
	public Integer getSceneId() {
		return sceneId;
	}
	/**
	 * 设置：总访问数
	 */
	public void setViews(Integer views) {
		this.views = views;
	}
	/**
	 * 获取：总访问数
	 */
	public Integer getViews() {
		return views;
	}
	/**
	 * 设置：前端显示访问数
	 */
	public void setViewsShow(Integer viewsShow) {
		this.viewsShow = viewsShow;
	}
	/**
	 * 获取：前端显示访问数
	 */
	public Integer getViewsShow() {
		return viewsShow;
	}
	/**
	 * 设置：月访问数
	 */
	public void setViewsMonth(Integer viewsMonth) {
		this.viewsMonth = viewsMonth;
	}
	/**
	 * 获取：月访问数
	 */
	public Integer getViewsMonth() {
		return viewsMonth;
	}
	/**
	 * 设置：周访问数
	 */
	public void setViewsWeek(Integer viewsWeek) {
		this.viewsWeek = viewsWeek;
	}
	/**
	 * 获取：周访问数
	 */
	public Integer getViewsWeek() {
		return viewsWeek;
	}
	/**
	 * 设置：日访问数
	 */
	public void setViewsDay(Integer viewsDay) {
		this.viewsDay = viewsDay;
	}
	/**
	 * 获取：日访问数
	 */
	public Integer getViewsDay() {
		return viewsDay;
	}
	/**
	 * 设置：总评论数
	 */
	public void setComments(Integer comments) {
		this.comments = comments;
	}
	/**
	 * 获取：总评论数
	 */
	public Integer getComments() {
		return comments;
	}
	/**
	 * 设置：前端显示评论数
	 */
	public void setCommentsShow(Integer commentsShow) {
		this.commentsShow = commentsShow;
	}
	/**
	 * 获取：前端显示评论数
	 */
	public Integer getCommentsShow() {
		return commentsShow;
	}
	/**
	 * 设置：月评论数
	 */
	public void setCommentsMonth(Integer commentsMonth) {
		this.commentsMonth = commentsMonth;
	}
	/**
	 * 获取：月评论数
	 */
	public Integer getCommentsMonth() {
		return commentsMonth;
	}
	/**
	 * 设置：周评论数
	 */
	public void setCommentsWeek(Integer commentsWeek) {
		this.commentsWeek = commentsWeek;
	}
	/**
	 * 获取：周评论数
	 */
	public Integer getCommentsWeek() {
		return commentsWeek;
	}
	/**
	 * 设置：日评论数
	 */
	public void setCommentsDay(Integer commentsDay) {
		this.commentsDay = commentsDay;
	}
	/**
	 * 获取：日评论数
	 */
	public Integer getCommentsDay() {
		return commentsDay;
	}
	/**
	 * 设置：最后更新时间
	 */
	public void setLastUpdateTime(Date lastUpdateTime) {
		this.lastUpdateTime = lastUpdateTime;
	}
	/**
	 * 获取：最后更新时间
	 */
	public Date getLastUpdateTime() {
		return lastUpdateTime;
	}
}
